﻿--
-- Script was generated by Devart dbForge Studio 2019 for MySQL, Version 8.2.23.0
-- Product home page: http://www.devart.com/dbforge/mysql/studio
-- Script date 08/09/2022 10:25:20
-- Server version: 5.7.33
-- Client version: 4.1
--

-- 
-- Disable foreign keys
-- 
/*!40014 SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0 */;

-- 
-- Set SQL mode
-- 
/*!40101 SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='NO_AUTO_VALUE_ON_ZERO' */;

-- 
-- Set character set the client will use to send SQL statements to the server
--
SET NAMES 'utf8';

DROP DATABASE IF EXISTS m1u2p3;

CREATE DATABASE IF NOT EXISTS m1u2p3
CHARACTER SET latin1
COLLATE latin1_swedish_ci;

--
-- Set default database
--
USE m1u2p3;

--
-- Create table `poblacion`
--
CREATE TABLE IF NOT EXISTS poblacion (
  codpob int(11) NOT NULL AUTO_INCREMENT,
  nombre varchar(100) DEFAULT NULL,
  PRIMARY KEY (codpob)
)
ENGINE = INNODB,
AUTO_INCREMENT = 3,
AVG_ROW_LENGTH = 8192,
CHARACTER SET latin1,
COLLATE latin1_swedish_ci;

--
-- Create table `coches`
--
CREATE TABLE IF NOT EXISTS coches (
  matricula varchar(10) NOT NULL,
  PRIMARY KEY (matricula)
)
ENGINE = INNODB,
AVG_ROW_LENGTH = 5461,
CHARACTER SET latin1,
COLLATE latin1_swedish_ci;

--
-- Create table `clientes`
--
CREATE TABLE IF NOT EXISTS clientes (
  codigo int(11) NOT NULL AUTO_INCREMENT,
  nombre varchar(100) DEFAULT NULL,
  PRIMARY KEY (codigo)
)
ENGINE = INNODB,
AUTO_INCREMENT = 4,
AVG_ROW_LENGTH = 5461,
CHARACTER SET latin1,
COLLATE latin1_swedish_ci;

--
-- Create table `relacion`
--
CREATE TABLE IF NOT EXISTS relacion (
  codcliente int(11) DEFAULT NULL,
  codpob int(11) DEFAULT NULL,
  matricula varchar(10) DEFAULT NULL
)
ENGINE = INNODB,
AVG_ROW_LENGTH = 8192,
CHARACTER SET latin1,
COLLATE latin1_swedish_ci;

--
-- Create foreign key
--
ALTER TABLE relacion
ADD CONSTRAINT fkrelacioncliente FOREIGN KEY (codcliente)
REFERENCES clientes (codigo);

--
-- Create foreign key
--
ALTER TABLE relacion
ADD CONSTRAINT fkrelacioncoches FOREIGN KEY (matricula)
REFERENCES coches (matricula);

--
-- Create foreign key
--
ALTER TABLE relacion
ADD CONSTRAINT fkrelacionpoblacion FOREIGN KEY (codpob)
REFERENCES poblacion (codpob);

-- 
-- Dumping data for table poblacion
--
INSERT INTO poblacion VALUES
(1, 'santander'),
(2, 'pielagos');

-- 
-- Dumping data for table coches
--
INSERT INTO coches VALUES
('m1'),
('m2'),
('m3');

-- 
-- Dumping data for table clientes
--
INSERT INTO clientes VALUES
(1, 'Pedro'),
(2, 'pablo'),
(3, 'juan');

-- 
-- Dumping data for table relacion
--
INSERT INTO relacion VALUES
(1, 1, 'm1'),
(3, 1, 'm3');

-- 
-- Restore previous SQL mode
-- 
/*!40101 SET SQL_MODE=@OLD_SQL_MODE */;

-- 
-- Enable foreign keys
-- 
/*!40014 SET FOREIGN_KEY_CHECKS = @OLD_FOREIGN_KEY_CHECKS */;